 h1, h2, h3, h4, h5, h6 {
     margin: 0;
}
a{
    color:#05331c!important;
}
div div button:focus-visible,
div div button:focus{
    background:transparent!important;
    outline:none!important;
}
.tax-product_cat .orderby{
display:none;
}
.contentWrapperindex h1, .contentWrapperindex p{
    margin-bottom:10px;
}
input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea, 
.woocommerce form .form-row .input-text{
    border-radius:10px;
}
.woocommerce-EditAccountForm.edit-account label,
.dealer-profile-form label{
    margin-bottom:10px;
}
#wpadminbar a {
    color: inherit !important;
}
.home .headerMenusWrapper {
    background: linear-gradient(140deg, #079b9b, #5CFF6A);

}
.headerblock{
    background: linear-gradient(140deg, #079b9b, #5CFF6A);
        /*background: linear-gradient(135deg, hsl(214.67deg 83.26% 65%), rgb(90, 151, 241), rgb(120, 180, 255));*/
}
.headerMenusWrapper > div{
    height:87px;
}
.headerblock .headertop img{
    filter: brightness(0.7);
    min-width: 20px;
    min-height: 20px;
}
 .headerMenusWrapper ul li a {
     color: #05331c !important;
     font-size: 20px;
     padding: 32px 0px;
}
 .linear-wipe {
     /*background: linear-gradient(to right, #FFF 20%, #52c234 40%, #52c234 60%, #FFF 80%);*/
     background: linear-gradient(to right, #FFF 20%,  #079b9b 40%, #5CFF6A 60%, #FFF 80%);
     /*background: linear-gradient(to right, #FFF 20%, rgb(90, 151, 241) 40%,  #FFF 80%);*/
     background-size: 200% auto;
     color: #000;
     background-clip: text;
     text-fill-color: transparent;
     -webkit-background-clip: text;
     -webkit-text-fill-color: transparent;
     animation: shine 10s linear infinite;
}
 @keyframes shine {
     to {
         background-position: 200% center;
    }
}
 button:hover {
     background-color: transparent;
}
 .headerblock button.search svg path {
     stroke: #05331c;
     fill: none;
}
 .headerblock button svg path {
     fill: #05331c;
}
 header.is-sticky {
     position: sticky !important;
}
 header.is-sticky .headerMenusWrapper {
     background: linear-gradient(140deg, #079b9b, #5CFF6A);
     color: #ffffff;
     box-shadow: 0 8px 30px rgba(0, 0, 0, 0.15);
     transition: background-color 0.3s ease;
     width: 100%;
}
header.is-sticky  .headerMenusWrapper #mobile-menu-toggle  svg path{
         stroke: #05331c!important;
}
 .woocommerce ul.products li.product, 
 .woocommerce-page ul.products li.product {
     float:unset;
     width:23.5%;
     margin:20px 0px!important;
}
 .woocommerce nav.woocommerce-pagination ul , 
 .woocommerce nav.woocommerce-pagination ul li{
     border:0px;
}
 .woocommerce nav.woocommerce-pagination ul li{
     padding:10px;
     background: transparent;
     color: #816f98;
}
 .woocommerce nav.woocommerce-pagination ul li span.current{
     color:#52c234;
     background:transparent;
}
 .woocommerce nav.woocommerce-pagination ul li a:hover{
     background:transparent;
}
 .productWrapper .sub-menu {
     position: fixed;
    background: #32ce82;
     min-width: 1200px;
     left: 0;
     right: 0;
     margin: 0 auto;
     display: none;
     max-width: 1200px;
     padding: 20px 20px;
     top: 148px;
     column-count: 2;
     box-shadow: 0px 4px 6px 0px rgba(0, 0, 0, 0.1);
     border-radius:10px;
}
 .productWrapper .sub-menu li {
     margin-bottom: 10px;
     display: flex;
     gap: 10px;
     padding: 0px;
     align-items: center;
}
 .productWrapper .sub-menu li p {
     display: block;
     font-size: 14px;
}
 .productWrapper .sub-menu li h4 {
     font-size: 18px;
     margin-bottom: 5px;
}
 .productWrapper .sub-menu li a {
     padding: 0px;
}
 .productWrapper .sub-menu li img {
     width: 100px;
     height: 100px;
     object-fit: contain;
     border-radius: 10px;
}
 .productWrapper .sub-menu li a.view-product-link {
     font-size: 14px;
     text-decoration: underline;
}
 .productWrapper .sub-menu li a p {
     margin-bottom: 0;
}
 body:not(.home) .headerMenusWrapper {
     position: relative;
}
 #productCategory .owl-dot.active span{
     background:#52c234;
}
 #productCategory .owl-dot span{
     background:#52c2349e;
}
 #productCategory .owl-dot:hover span{
     background:#52c234;
}
 .categoryWrapper:nth-child(odd) .itemWrapper {
     flex-direction:row;
}
/* Style for even children */
 .categoryWrapper:nth-child(even) .itemWrapper {
     flex-direction:row-reverse;
}
 .singleProductWrapper .product_meta .sku_wrapper, 
 .singleProductWrapper .product_meta .posted_in{
     display:block;
     margin:20px 0px;
}
.product_meta a{
    color:#2ec984!important;
}
 .singleProductWrapper .product-acf-fields{
     padding:20px 0px;
}
 .woocommerce .singleProductWrapper .product_title{
     margin-bottom:25px!important;
}
 .woocommerce .singleProductWrapper form.cart .variations select {
     max-width: 50%!important;
     min-width: 59%!important;
}
 .woocommerce .singleProductWrapper form.cart .variations th, 
 .woocommerce .singleProductWrapper form.cart .variations td{
     background-color:unset!important;
     padding: 0px!important;
     text-align: left!important;
         display: inline;
    padding-right: 10px !important;
}
 .woocommerce .singleProductWrapper form.cart .single_add_to_cart_button{
     padding:14px 20px!important;
  background: linear-gradient(
140deg, #079b9b, #5CFF6A);}
 .woocommerce .singleProductWrapper div.images .flex-control-thumbs{
     display:flex!important;
     gap:10px;
}
 .woocommerce .singleProductWrapper div.images .flex-control-thumbs li{
     float:unset!important;
     width:18%!important;
     padding: 5px;
     border: 2px solid #2ec984;
     border-radius: 10px;
     background: #2ec98485;
}
 .singleProductWrapper .woocommerce-product-gallery__image img{
     height:400px;
     width:400px;
     object-fit:contain;
}
 .singleProductWrapper .woocommerce-product-gallery__image img {
     width: 400px !important;
     height: 400px !important;
     object-fit: contain;
     margin:0 auto!important;
}
 .woocommerce div.product form.cart .variations{
     margin-bottom:40px!important;
}
 .woocommerce div.product div.images.woocommerce-product-gallery {
     z-index:0;
}
 .singleProductWrapper  .woocommerce-product-gallery__wrapper a{
     box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
     margin-bottom:20px!important;
     border: 1px solid #51be34;
     border-radius: 20px;
}
 .custom-product-description h2{
     margin-bottom:20px !important;
}
 .prdouctDescriptionWrapper{
     clear:both;
     padding:40px 0px;
}
 .description-content{
     padding-bottom:30px;
}
 .related.products h2{
     margin-bottom:20px;
}
 .comment-form-rating{
     padding:10px 0px;
}
 #review_form #submit{
     color:#fff!important;
       background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
}
 #comment-form-rating-label{
     padding-bottom:10px;
}
 #reviews h2{
     padding-bottom:20px!important;
}
 .woocommerce form.login, .woocommerce form.register{
     border:0!important;
     padding:0!important;
     margin:10px 0px!important;
}
 .woocommerce-checkout .entry-title, .dealer-signup .entry-title, .my-account .entry-title{
     display:none!important;
}
 .gradient-border {
     width: 50%;
     padding: 12px 0;
     font-weight: 600;
     text-align: center;
     color: #05331c;
     background: linear-gradient(#ffffff, #ffffff) padding-box, 
       linear-gradient(140deg, #079b9b, #5CFF6A) border-box;
     border: 2px solid transparent;
     border-radius: 12px;
     background-origin: border-box;
     background-clip: padding-box, border-box;
     transition: all 0.3s ease;
}
 .gradient-border:not(.active):hover {
     color: #4a6d3e;
}
 .gradient-border.active {
     color: #ffffff;
     background: linear-gradient(140deg, #079b9b, #5CFF6A) padding-box, 
     linear-gradient(140deg, #079b9b, #5CFF6A) border-box;
}
 .dealer-signup main{
     padding:0px!important;
}
 .dealer-signup .imageWrapper, .my-account .imageWrapper{
     height:100vh;
}
 .dealer-signup .imageWrapper img, .my-account .imageWrapper img{
     height:100vh;
     max-width: 50vw;
     width: 50vw;
     position: absolute;
     right: 0;
     object-fit: cover;
}
.my-account-rewards-page main,
 .woocommerce-cart main, 
 .my-account.woocommerce-affiliate-dashboard main, 
 .my-account.woocommerce-edit-account main, 
 .my-account.woocommerce-edit-address main, 
 .my-account.woocommerce-orders main, 
 .my-account.woocommerce-dashboard main, 
 .my-account.woocommerce-downloads main{
     padding:40px 0px!important;
}
 .woocommerce-Address-title h2{
     font-size:16px;
}
 .woocommerce-account .woocommerce-MyAccount-navigation {
     float: left;
     width: 19%;
}
 .woocommerce-account .woocommerce-MyAccount-content {
     float: right;
     width: 76%;
}
 .woocommerce-account .addresses .title .edit{
     float: unset;
     font-size: 12px;
     margin-bottom: 20px;
     display: block;
}
 .woocommerce-MyAccount-navigation ul li a {
     text-decoration:none;
}
 .woocommerce-MyAccount-navigation-link{
     padding:10px 10px;
}
    .wpcf7-submit,
 .woocommerce-Button{
     background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
     color: #fff!important;
     border-radius:10px;
}
 .woocommerce-MyAccount-navigation-link.is-active a{
     color:#fff!important;
}
.dealer-profile-form button,
 .wc-block-components-totals-coupon__button,
 .wc-block-components-checkout-place-order-button, 
 .wc-block-cart__submit-button, 
 .woocommerce-button.button.view, 
 .become-an-affiliate button, 
 .woocommerce-MyAccount-navigation-link.is-active{
     background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
     color: #fff!important;
     border-radius:10px;
}
.dealer-profile-form,
 .woocommerce-EditAccountForm{
     padding: 20px;
     border: 1px solid rgb(82 187 54);
     border-radius: 10px;
     box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
.wpcf7-submit,
 .wc-block-components-totals-coupon__button, 
 .wc-block-components-checkout-place-order-button{
     border:1px solid rgb(82 187 54);
}
 .alignwide{
     margin:0px!important;
}
.productCategoryWise .owl-stage-outer,
#productCategory .owl-stage-outer{
    padding-bottom:20px;
}
.productCategoryWise .owl-stage,
#productCategory  .owl-stage {
        display:flex;
}
.productCategoryWise .owl-item > div,
#productCategory  .owl-item > div{
    height:100%!important;
}
.trp-language-switcher.trp-ls-dropdown.is-open .trp-language-item-name{
    color:#52c234;
}
.trp-language-switcher.trp-ls-dropdown.is-open{
    background:#fff!important;
}
.trp-language-switcher{
    padding:0!important;
}
.trp-current-language-item__wrapper svg path{
    stroke :rgb(5 51 28);
}
#search_product svg,
.accountWrapper svg{
    width:25px;
    height:25px;
}
.headerblock .cart,
#search_product{
    height:25px;
}
.headerblock .cart button {
    height:30px;
}
.accountWrapper svg path{
    fill:#05331c;
}
.contactFormBlock form  div{
    margin-bottom:0px!important;
}
.woocommerce .quantity .qty {
    height: 44px!important;
}
.woocommerce-Price-amount.amount{
    color:oklch(20.8% 0.042 265.755)!important;
}
.woocommerce .star-rating span::before {
    color: #5CFF6A;
}
div#search_box form {
    display: flex;
    width: 100%;
    gap: 20px;
}
div#search_box {
    position: fixed;
    right: 0px;
    top: 50%;
    left: 0px;
    margin: 0 auto;
    transform: translateY(-50%);
    z-index: 14;
    max-width: 600px;
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
        border-radius: 10px;
}
div#search_box input{
    border-radius:10px;
}
.button.spar-compact-toggle-btn .spar-caret{
    border-top-color: #05331c!important;
}
.woocommerce-info .wc-forward,
#spar-copy-referral-link.spar-copy-button,
.button.spar-compact-toggle-btn,
.spar-redeem-apply-btn,
.wc-block-components-address-card__edit,
div#searc_box form button{
    border-color:#5CFF6A!important;
    background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
border-radius:10px;
color:#05331c!important;
}
.tax-product_cat main{
    max-width:1280px!important;
    padding:16px!important;
}
.spar-referral-how-it-works{
    border-color:#5CFF6A!important;
}
.spar-stat-number{
    color:#5CFF6A!important;
}
.spar-earn-grid .spar-earn-fa-icon i {
    font-size: 2rem; /* Adjust size if needed */
    background: linear-gradient(140deg, #079b9b, #5CFF6A) !important;
    color: transparent !important;
    display: inline-block;
    -webkit-background-clip: text!important;
    background-clip: text !important;
}
.spar-referral-stat::before,
.spar-rewards-dashboard .spar-how-it-works-list li::before{
    
        background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
}
.spar-rewards-overview{
        background: linear-gradient(140deg, #079b9b, #5CFF6A)!important;
}
.custom-product-reviews {
    margin-top: 60px;
    padding-top: 30px;
    border-top: 2px solid #eee;
}

.reviews-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
}

#review_form_wrapper {
    margin-top: 25px;
}

#toggle-review-form.button {
        background: linear-gradient(140deg, #079b9b, #5CFF6A);
    color: #fff;
    border-radius: 10px;

}
#review_form_wrapper{
        display: none;
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    z-index: 15;
    top: 50%;
    max-width: 500px;
    margin: 0 auto;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    transform: translateY(-50%);
}
.is-commentform-open{
 /*background:#000;  */
     width: 100%;
    height: 100vh;
    background: #00000052;
    position: fixed;
    z-index: 14;
 
}
.woocommerce #reviews #comments ol.commentlist li .comment-text{
    border:0px!important;
        padding: 0;
    border: 0px !important;
    display: flex;
    gap:5px;
    flex-direction: column;
}
.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta{
    margin:0!important;
}
.woocommerce #reviews #comments ol.commentlist li .comment-text .star-rating{
    display: block;
    float: unset;
    order: 1;
}
#reviews #comments ol.commentlist li .comment-text .description{
    order:2;
}
.comment-text::before ,.comment-text::after {
    content:unset!important;
}
.woocommerce #reviews #comments ol.commentlist li img.avatar{
    border-radius:100%;
}
.reviews-header h2{
    font-size:24px;
}
.woocommerce p.stars a {

    font-size:16px;
    color:#2ec984;
}
.woocommerce p.stars a::before {
     color:#2ec984
}
#closeBtnform svg{
    width:15px;
    height:15px;
}
#closeBtnform{
    position: absolute;
    right: 20px;
    cursor:pointer;
}
.woocommerce-checkout .woocommerce-order-overview.order_details::after, .woocommerce-checkout .woocommerce-order-overview.order_details::before{
    content:unset;
}
.woocommerce-checkout .woocommerce-order-overview.order_details{
        display: flex;
        gap: 50px;
        float:unset;
        flex-wrap:wrap;
        
}
.woocommerce ul.order_details li{
    line-height: 1;
    padding-right: 30px;
    
}
.woocommerce-column__title,
.woocommerce-order-details__title{
    font-size: 20px;
    margin-bottom: 20px;
}
.wp-block-woocommerce-checkout-order-summary-block,
.wp-block-woocommerce-checkout-fields-block,
.woocommerce-cart  .wc-block-cart__sidebar,
.woocommerce-cart .wp-block-woocommerce-cart-items-block,
.woocommerce-order{
    padding: 20px;
    border: 1px solid #5CFF6A;
    border-radius: 10px;
    margin: 40px 0px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.wp-block-woocommerce-checkout-order-summary-block,
.woocommerce-cart   .wc-block-cart__sidebar,
.woocommerce-cart .wp-block-woocommerce-cart-items-block{
       margin: 0px 0px!important;
}
.woocommerce-cart .wc-block-components-sidebar-layout{
    gap:10px;
}
.woocommerce-cart .wc-block-components-sidebar {
    width:33%;
}
.wp-block-woocommerce-empty-cart-block{
    margin-bottom:30px;
}
.spar-discount-box{
    display:block!important;
}
.spar-redeem-value-label{
    font-size:10px!important;
}
.woocommerce-info::before{
      color:#5CFF6A!important;
}
.woocommerce-info{
   border-top-color:#5CFF6A;
}
input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 8px;
  border-radius: 5px;
  background: linear-gradient(90deg, #079b9b 50%, #e0e0e0 50%);
  outline: none;
  transition: background 0.2s ease-in-out;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #5CFF6A;
  cursor: pointer;
  border: 2px solid #fff;
}
.dealer-profile-form .file-upload-wrapper {
  position: relative;
  width: 100%;
}

.dealer-profile-form input[type="file"] {
  position: absolute;
  inset: 0;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

.dealer-profile-form .custom-file-btn {
  display: block;
    border: 1px solid #666;
    padding: .5rem 1rem;
  border-radius: 10px;
  text-align: center;
  color: hsl(150 10% 15%);
  font-weight: 500;
  cursor: pointer;
}
.custom-product-description h3,
.custom-product-description h2{
    font-size:24px;
    line-height:1.2;
    margin-bottom:15px;
}
.custom-product-description ul{
    margin-bottom:20px;
    list-style-type:disc;
    padding-left: 24px;
}
.custom-product-description ul li{
    font-size:14px;
    line-height:1.2;
    padding-bottom:10px;
}

 @media(min-width:992px){
     .productWrapper:hover .sub-menu {
         display: block;
    }
}
 @media(max-width:991px) {
     .dealer-signup main#content {
        max-width: 720px;
    }
     .woocommerce-checkout .woocommerce-order-overview.order_details {
    gap: 20px;}
     .headerMenusWrapper ul li a {
         padding: 15px 0px;
    }
     .headerMenusWrapper {
         padding: 0px !important;
    }
     .home .headerMenusWrapper.menu-open {
         background-color: #fff;
    }
     nav#menu-header-menu {
         position: absolute;
         left: 0;
         right: 0;
            top: 72px;
        background: #fff;
        height: 100vh;
        padding: 10px 20px;
        margin: 0;
        height: 100vh;
        align-items: unset;
        border-top: 1px solid #52c234;
    }
     nav#menu-header-menu li a {
         display: inline-block;
    }
     .productWrapper .sub-menu {
         position: unset;
         background: #fff;
         min-width: initial;
         left: 0;
         right: 0;
         margin: 0 auto;
         display: none;
         max-width: initial;
         padding: 20px 20px;
         top: 126px;
         column-count: 2;
    }
}
 @media(max-width:767px) {
     .dealer-signup main#content .flex.gap-8 div {
            width: 100%;
                padding: 0 10px;
        }
        .dealer-signup main#content .flex.gap-8 form {
            margin: 0;
            padding: 0;
            padding-top: 50px;
        }
        .dealer-signup main#content .flex.gap-8 {
            flex-wrap: wrap;
        }
     .headerMenusWrapper img{
         max-width:150px!important;
     }
     .thankyouBanner img{
         object-position:left;
     }
     .productWrapper .sub-menu {
         column-count: 1;
    }
     .woocommerce-account .woocommerce-MyAccount-navigation {
     float: unset;
     width: 100%;
     margin-bottom:20px;
}
 .woocommerce-account .woocommerce-MyAccount-content {
     float: unset;
     width: 100%;
}
.contentWrapperindex{
    padding:10px 15px;
}

}
@media(max-width:575px){
    ul.products li{
    
    width:100%!important;
}
}
